<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [LoginHosted](./foundation-login.loginhosted.md) &gt; [registerCommonComponents](./foundation-login.loginhosted.registercommoncomponents.md)

## LoginHosted.registerCommonComponents() method

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

**Signature:**

```typescript
registerCommonComponents(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

